跳转到主要内容
POST
/
base
/
create-from-template
cURL
curl --request POST \
  --url https://app.teable.ai/api/base/create-from-template \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"spaceId":"string","templateId":"string","withRecords":true,"baseId":"string"}'
{
  "id": "<string>",
  "name": "<string>",
  "spaceId": "<string>",
  "defaultUrl": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
spaceId
string
必填

The space id to create a base from

templateId
string
必填

The template id to create a base from

withRecords
boolean

Whether to create records from the template

baseId
string

The base id to apply the template to

响应

201 - application/json

Returns information about a successfully created base.

id
string
必填
name
string
必填
spaceId
string
必填
defaultUrl
string
Last modified on March 5, 2026